/**
 * Universidade Federal de Pernambuco
 * Centro de Informtica
 * Disciplina: Introduo  Programao
 *
 * Tipo: Cliente
 *
 * @author  Alexandra Barros (abab@cin.ufpe.br)
 */

public class Cliente {

	private Conta conta;
	private String nome;
	private String numeroCartao;
	private int senha;


	/**
	 * Metodo que retorna a conta do cliente.
	 *
	 * @return Um objeto do tipo conta representando a conta do cliente.
	 */
	public Conta getConta(){
		return conta;
	}

	/**
	 * Metodo que retorna o nome do cliente.
	 *
	 * @return Uma String contendo o nome do cliente.
	 */
	public String getNome(){
		return nome;
	}

	/**
	 * Metodo que retorna o numero do cartao do cliente.
	 *
	 * @return Uma String contendo o numero do cartao do cliente.
	 */
	public String getNumeroCartao(){
		return numeroCartao;
	}

	/**
	 * Metodo que retorna a senha do cliente.
	 *
	 * @return Um int contendo a senha do cliente.
	 */
	public int getSenha(){
		return senha;
	}

	/**
	 * Metodo que veirifica se a senha passada como parmetro confere com a
	 * senha do cliente.
	 *
	 * @param  senha  a senha do cliente
	 *
	 * @return  true se a senha passado como parmetro for igual a senha
	 *          do objeto cliente que chama o mtodo ou false caso contrrio.
	 */
	public boolean senhaCorreta(int s){
		return (senha == s);
	}

	/**
	 * Mtodo que altera a senha do cliente.
	 *
	 * @param senhaAntiga  senha antiga do cliente.
	 * @param senhaNova    senha nova do cliente
	 */
	public void alterarSenha(int senhaAntiga, int senhaNova){

		if(this.senha == senhaAntiga){
  			this.senha = senhaNova;
		} //else retorna uma exceo.

	}

}