/**
 * Universidade Federal de Pernambuco
 * Centro de Informtica
 * Disciplina: Introduo  Programao
 *
 * Tipo: Endereco
 *
 * @author  Alexandra Barros (abab@cin.ufpe.br)
 */

public class  Endereco {

	private String estado;
	private String cidade;	
	private String bairro;
	private String rua;
	private String complemento;
	private String cep;
	private int numero;

    
	/**
	 * Metodo que seta o estado.
     *
     * @param    estado   o nome do estado da localidade.
     */
	public void setEstado(String est){
		estado = est;
	}

	/**
	 * Metodo que seta a cidade.
	 *
	 * @param    cidade   o nome da cidade da localidade.
	 */
	public void setCidade(String cid){
		cidade = cid;
	}

	/**
	 * Metodo que seta o bairro.
     *
     * @param    bairro   o nome do bairro da localidade.
     */	
	public void setBairro(String b){
		bairro = b;
	}

	/**
	 * Metodo que seta a rua.
     *
     * @param    rua   o nome da rua da localidade.
     */	
	public void setRua(String r){
		rua = r;
	}

	/**
	 * Metodo que seta o complemento.
     *
     * @param    complemento   informacoes adcionais exemplo: numero do apartamento.
     */	
	public void setComplemento(String comp){
		complemento = comp;
	}

	/**
	 * Metodo que seta o cep.
     *
     * @param    cep   o cep da localidade.
     */	
	public void setCep(String c){
		cep = c;
	}

	/**
	 * Metodo que seta o numero.
     *
     * @param    numero   o numero da localidade.
     */	
	public void setNumero(int n){
		numero = n;
	}

	/**
	 * Mtodo que retorna o nome do estado.
	 *
	 * @return  Uma String que representa o nome do estado.
	 */
	public String getEstado(){
		return estado;
	}
	
	/**
	 * Mtodo que retorna o nome da cidade.
	 *
	 * @return Uma String que representa o nome da cidade.
	 */
	public String getCidade(){
		return cidade;
	}

	/**
	 * Mtodo que retorna o nome do bairro.
	 *
	 * @return Uma String que representa o nome do bairro.
	 */
	public String getBairro(){
		return bairro;
	}

	/**
	 * Mtodo que retorna o nome da rua.
	 *
	 * @return Uma String que representa o nome da rua.
	 */
	public String getRua(){
		return rua;
	}

	/**
	 * Mtodo que retorna o complemento.
	 *
	 * @return Uma String que representa o complemento.
	 */
	public String getComplemento(){
		return complemento;
	}

	/**
	 * Mtodo que retorna o cep.
	 *
	 * @return Uma String que representa o cep.
	 */
	public String getCep(){
		return estado;
	}

	/**
	 * Mtodo que retorna o numero.
	 *
	 * @return Um int que representa o numero.
	 */
	public int getNumero(){
		return numero;
	}

}